function init()
{
	System.Gadget.onSettingsClosing = SettingsClosing;
	$('blogUrl').value = System.Gadget.Settings.read("blogUrl");
	$('wordPressApi').value = System.Gadget.Settings.read("wordPressApi");
	if (System.Gadget.Settings.read("day") == '')
		$('dayToday').checked = true;
	else if (System.Gadget.Settings.read("day") == "today")
		$('dayToday').checked = true;
	else
		$('dayYesterday').checked = true;
	$('wordPressStatsLogin').value = System.Gadget.Settings.read("wordPressStatsLogin");
	$('wordPressStatsPassword').value = System.Gadget.Settings.read("wordPressStatsPassword");
	$('refreshInterval').value = System.Gadget.Settings.read("refreshInterval");
}

function SettingsClosing(event)
{
	if (event.closeAction == event.Action.commit)
	{
		System.Gadget.Settings.write("blogUrl", $('blogUrl').value);
		System.Gadget.Settings.write("wordPressApi", $('wordPressApi').value);
		System.Gadget.Settings.write("day", $('dayToday').checked ? "today" : "yesterday");
		System.Gadget.Settings.write("wordPressStatsLogin", $('wordPressStatsLogin').value);
		System.Gadget.Settings.write("wordPressStatsPassword", $('wordPressStatsPassword').value);
		System.Gadget.Settings.write("refreshInterval", $('refreshInterval').value);
	}
	
	event.cancel = false;
}

function $(id)
{
	return document.getElementById(id);
}